Subject: Re: openssh and inetd woes...
From: Corinna Vinschen <[email-masked]>
To: Stefan Norberg <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Jun 2000 21:23:52 +0200

Stefan Norberg wrote:
> I'm trying to set up a *minimal* remote admin kit for NT using Corianna
> Vinschen's excellent ports of inetd and openssh. This means I'm not using
> the full Cygwin environment.
> 
> * When I'm running SSHD as a stand-alone server I can't scp to the system -
> "connecion lost". SCP works fine if I'm running from inetd or if I'm running
> "sshd -d".

Sorry but I can't reproduce that behaviour. I'm using sshd
as stand-alone service which runs with my own user account.

Are you trying to use password auth or RSA auth? I'm just
asking since RSA is not able to change the user context.

> * When running sshd from inetd I don't get the output from _Win32_ console
> apps (like net.exe). These apps are started in the backgroud (a separate
> console window pops up on the server). For some reason, this works fine when
> running sshd as a stand-alone server or in debug mode.

That behaviour seems to be related to inetd's state as a
windows service. I'm not sure but it's the only difference
which may result in that.

Corinna

--
Want to unsubscribe from this list?
Send a message to [email-masked]